.TH LOGTIME 1 local "DESHAW"
.DA 12 March 1993
.SH NAME
logtime \- prints date and time in D. E. Shaw & Co. standard format.
.SH SYNOPSIS
.B logtime
[
.B \-d
.I days
]
[
.B \-m
.I months
]
[
.B \-p
]
[
.B \-u
]
.SH DESCRIPTION
.I Logtime
prints the date and time in D. E. Shaw & Co. standard format,
viz. YYYYMMDD hh:mm:ss.  The time is printed in the local timezone
by default.
.PP
With the 
.B \-u
option, the time is printed as UTC (GMT to old-timers).
.PP
With the 
.B \-p
option,
.I logtime
subtracts one day from the date 
.B if
the time is before 8am.  This is a special hack to make scripts
that run in the early morning hours generate log files with the previous
days date.
.PP
With the 
.B \-d
option you can request the date for a given number of
.I days
ago and with the
.B \-m
option the date for a given number of
.I months
ago.  This can be used to generate paths to old files.
.PP
The last specified of the \fB\-d\fR, \fB\-m\fR and \fB\-p\fR flags
will take precedence.
.SH SEE ALSO
.IR date (1)
.SH SPECIAL NOTES
Requires GNU date for the \fB\-d\fR, \fB\-m\fR and \fB\-p\fR
capabilities, and for 4-digit years.
.SH BUGS
No errors are generated for specifying more than one of the
\fB\-d\fR, \fB\-m\fR and \fB\-p\fR flags.
.SH AUTHORS
.TP 16
Mark Moraes
Original version (descotime) used DESCO datelib extensions to gawk.
.TP
Kimmo Suominen
Current version with GNU date.  Added \fB\-m\fR option.  Revised
manual page.
.TP
Peter Skopp
Added \fB\-d\fR option.
